Download it now!
Bug 91126 - UI: sort named ranges' name in name-management list
Summary: UI: sort named ranges' name in name-management list
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other All
: medium enhancement
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-07 02:07 UTC by Olivier Mehani
Modified: 2015-08-12 11:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Name-management dialog showing unsorted names list (17.24 KB, image/png)
2015-05-07 02:07 UTC, Olivier Mehani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Mehani 2015-05-07 02:07:04 UTC
Created attachment 115398 [details]
Name-management dialog showing unsorted names list

Version: 4.4.2.2
Build ID: 4.4.2.2 Arch Linux build-1
Locale: en_AU

I am working on a (largish: ~400k) spreadsheet with 6 tabs with more than 120 named ranges (added organically as the spreadsheet grew), most of them only in the scope of a single sheet. 

When defining more named ranges, new names seem to be placed more or less randomly in the list, with no way to sort them differently. This makes it quite hard to re-locate them when needed. 

See attachment for a screenshot of the issue Unfortunately I can't share the document as it contains private information.

It would be good if they were sorted by name or, better, if the list could use custom-column sort.
Comment 1 raal 2015-05-07 05:58:52 UTC
Valid enhancement, setting to NEW
Comment 3 Katarina Behrens (CIB) 2015-05-19 21:39:07 UTC
Olivier: I've made column header clickable, so now clicking on it sorts the items by given column alphabetically, 1st time ascending, 2nd time descending ... I thought this was what you meant by custom column sort. Lemme know if this is acceptable
Comment 4 Olivier Mehani 2015-05-19 23:55:12 UTC
Hey Katarina,

Yes, it does sound like what I was thinking of. Is the code somewhere I can test it to confirm?
Comment 5 Commit Notification 2015-05-20 09:15:10 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5591fdada7cf4f81f173f7954e2b4831c6dc89c9

tdf#91126: Enable click-on-column-header sorting

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Katarina Behrens (CIB) 2015-05-20 09:17:42 UTC
There goes the code :)
Comment 7 Olivier Mehani 2015-08-10 01:55:19 UTC
Hi, sorry for the delay in answering.

I just got 5.0.0.5 Arch Linux build-1 installed, and the sorting indeed works nicely.

I'll need to play a bit more to check whether names jump around, but I doubt they will.

Thanks!
Comment 8 Olivier Mehani 2015-08-12 11:33:24 UTC
Yup, the entries don't jump around anymore. It's much easier to manage. Thanks!